.TH IDIFF 1 25-Jun-90
.CM 3
.SH NAME
idiff, udiff \- convert byte stream to difference stream (b[n]-[bn-1])
.SH SYNOPSIS
.nf
idiff < original > delta
udiff < delta > original
.fi
.SH DESCRIPTION
.PP
Used as a preprocessor for compression algorithms.  Some images
(especially grayscale and RGB) compress better when the compression is
performed on the difference between adjacent bytes, rather than the
bytes themselves (savings up to 30% are common).
.sp
Use
.I idiff
to convert the original to a delta file, and
.I udiff
to restore.
.sp
There are no magic numbers or headers, so there is no good way to tell
whether a file has been "idiffed" by examining the contents.
.SH SEE ALSO
fbm(1) for general discussion, pbm(1) for PBM routines.
.SH BUGS
None known.
.SH HISTORY
Copyright (C) 1989,1990 by Michael Mauldin.  Permission is granted
to use this file in whole or in part for any purpose, educational,
recreational or commercial, provided that this copyright notice
is retained unchanged.  This software is available to all free of
charge by anonymous FTP and in the UUNET archives.
.TP
25-Jun-90  Michael Mauldin at Carnegie Mellon University
Release 1.0 mlm@cs.cmu.edu
.TP
07-Mar-89  Michael L. Mauldin at Carnegie Mellon University
Beta release (version 0.9) mlm@cs.cmu.edu
